
QGIS Application - Bug report #21777

EO Time Series Viewer plugin fails to install

2019-04-05 06:45 PM - Hannah Davis

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29592

Description

Below is the text from the plugin error popup during installation of the 'EO Time Series Viewer' in the plugin manager:

Couldn't load plugin 'timeseriesviewerplugin' due to an error when calling its classFactory() method 

ModuleNotFoundError: No module named 'pyqtgraph' 

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS 3.6/apps/qgis/./python\qgis\utils.py", line 335, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\timeseriesviewerplugin\__init__.py", line

37, in classFactory

    from timeseriesviewer.timeseriesviewerplugin import TimeSeriesViewerPlugin

  File "C:/PROGRA~1/QGIS 3.6/apps/qgis/./python\qgis\utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File

"C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\timeseriesviewerplugin\timeseriesviewer\__init__.py", line 121, in 
    from pyqtgraph.graphicsItems.GraphicsObject import GraphicsObject
  File "C:/PROGRA~1/QGIS 3.6/apps/qgis/./python\qgis\utils.py", line 672, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ModuleNotFoundError: No module named 'pyqtgraph'

Python version: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 
QGIS version: 3.6.0-Noosa Noosa, 58734527ab 

Python Path:
C:/PROGRA~1/QGIS 3.6/apps/qgis/./python
C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
C:/PROGRA~1/QGIS 3.6/apps/qgis/./python/plugins
C:\PROGRA~1\QGIS 3.6\bin\python37.zip
C

_.py", line 121, in 

    from pyqtgraph.graphicsItems.GraphicsObject import GraphicsObject

  File "C:/PROGRA~1/QGIS 3.6/apps/qgis/./python\qgis\utils.py", line 672, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ModuleNotFoundError: No module named 'pyqtgraph'

Python version: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

QGIS version: 3.6.0-Noosa Noosa, 58734527ab 

Python Path:

C:/PROGRA~1/QGIS 3.6/apps/qgis/./python

C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS 3.6/apps/qgis/./python/plugins

C:\PROGRA~1\QGIS 3.6\bin\python37.zip

C:\PROGRA~1\QGIS 3.6\apps\Python37\DLLs

C:\PROGRA~1\QGIS 3.6\apps\Python37\lib

C:\PROGRA~1\QGIS 3.6\bin

C:\Users\hdavis\AppData\Roaming\Python\Python37\site-packages

C:\PROGRA~1\QGIS 3.6\apps\Python37

C:\PROGRA~1\QGIS 3.6\apps\Python37\lib\site-packages

C:\PROGRA~1\QGIS 3.6\apps\Python37\lib\site-packages\win32

C:\PROGRA~1\QGIS 3.6\apps\Python37\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS 3.6\apps\Python37\lib\site-packages\Pythonwin
C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/hdavis/OneDrive - Century Engineering/Desktop/20190405-bu-hannah

C:/Users/hdavis/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\timeseriesviewerplugin

C:\Users\hdavis\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\timeseriesviewerplugin\site-packages

History

#1 - 2019-04-05 07:54 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

- Category changed from C++ Plugins to Unknown

- Description updated

You need to install pyqtgraph - see plugin page

2025-05-18 2/2

https://plugins.qgis.org/plugins/timeseriesviewerplugin/

